/* -------------------------------------------------------------------------- */
/* -               Astronomical CCD Camera Control                          - */
/* -                         Header File                                    - */
/* -------------------------------------------------------------------------- */
/*                                                                            */
/* Copyright (c) 2004-2012 John Kielkopf                                      */
/* kielkopf@louisville.edu                                                    */
/*                                                                            */
/* This file is part of XmCCD.                                                */
/*                                                                            */
/*                                                                            */
/* XmCCD is free software: you can redistribute it and/or modify              */
/* it under the terms of the GNU General Public License as published by       */
/* the Free Software Foundation, either version 3 of the License, or          */
/* (at your option) any later version.                                        */
/*                                                                            */
/* XmCCD is distributed in the hope that it will be useful,                   */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              */
/* GNU General Public License for more details.                               */
/*                                                                            */
/*                                                                            */
/* Date: June 12, 2012                                                       */
/* Version: 4.0                                                               */

/* Configuration file */

#define CONFIGFILE "/usr/local/observatory/prefs/prefs.ccd"
#define MAXPATHLEN  100
                                                                                                                                                
/* Filter wheel support */

#define NO_FILTER_WHEEL  0
#define EXT_FILTER_WHEEL 1
#define INT_FILTER_WHEEL 2

/* Set default filter wheel here */
/* These may be changed in the configuration file */

#define FILTER_START  1
#define FILTER_MAX    6
#define FILTER_WHEEL  1
                                                                         

/* Map sky to +x=1, -x=2, +y=4, -y=8 relays */

#define EAST      1 
#define WEST      2
#define NORTH     4
#define SOUTH     8 


/* INDI parameters */

#define FRAMECOUNTMULTI   100    /* Maximum number of frames in  multi mode */

#define SINGLE       0     /* One exposure only */ 
#define FOCUS        1     /* Focus exposures with no storage */
#define MULTI        2     /* Repeated exposures with storage */

#define	POLLMS      250    /* Poll period, ms */

#define	MAXEXP   3600.     /* Maximum image ccd exposure       */
#define	MINEXP   0.001     /* Minimum image ccd exposure       */
#define	INCEXP   1.0       /* Exposure increment (seconds)     */
#define	DEFEXP   1.0       /* Default image exposure (seconds) */
#define RELAYONTIME 1.0    /* Guide relay time in seconds      */


#define NOCOPY   0
#define NETCOPY  1
#define INDICOPY 2

#define	MYDEV	"ccd"      /* Name for this device */

